#!/bin/sh
set -x
#echo() { :; }

# --- FUNCTIONS: определение необходимых функций
setExe() { # Выставляет указанным файлам X атрибут.
	for fileName in "$@"
	do
		#if [ -e $fileName ] 
		#then
			chmod +x $fileName
		#fi
	done
}

# Путь к распакованным данным обновления
SrcUpdateDir="/root/SoftUpdate"
# Префикс к корневой папке, куда копируется содержимое папки с обновлением. Можно менять для отладки.
# В боевом сценарии должен быть пустой строкой. В отладке может равняться, например, "/tmp".
DstUpdateDirPrefix=""

# --- Удаляем лишний updater, если есть, т.к. обновлением updater'a занимается MiniKassir и необходимо соблюдать совместимость
#     между его версиями:  MK ищет updater всегда в корне архива.
#     Также удаляем лишнее cashcore, если есть, т.к. обновлением КЯ занимается сам updater до выполнения скрипта.
rm -r $SrcUpdateDir/MpaySoftUpdater
rm -r $SrcUpdateDir/root/cashcore
# Версия обновления ищется MK в корне архива, поэтому его нужно держать там. А версия установленного софта
# MK ищет /root, поэтому перед дальнейшим обновлением перемещаем в root.
mkdir -p $SrcUpdateDir/root
mv $SrcUpdateDir/UpdateVersion.txt $SrcUpdateDir/root
sync

# --- Копируем данные из папки обновления на устройство.
echo "Coping data..."
cp -r $SrcUpdateDir/* $DstUpdateDirPrefix/
sync

# --- Делаем необходимые файлы исполняемыми.
echo "Exe setting..."
chmod -R +x /etc/init.d
cd $DstUpdateDirPrefix/root/cashcore
setExe cashcore start.sh
cd $DstUpdateDirPrefix/root/MiniKassir
setExe MiniKassir MiniKassirD.sh SetupMiniKassir.sh start.sh
cd $DstUpdateDirPrefix/root
setExe gprsdaemon gsmMuxd MpayBackup.sh
cd $DstUpdateDirPrefix/root/KbdRepeater
setExe KbdRepeater start.sh
sync

# --- Удаляем папку с обновлением.
echo "Removing update dir..."
rm -r $SrcUpdateDir
sync
